ListTopics

GET/support/v1/topics

Query Parameters

category_id?category_id

The category_id query parameter.

query?query

The query query parameter.

Lengthlength <= 120

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/support.v1.ListTopicsResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "topics": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/support.v1.Topic",
          "$ref-value": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "examples": [
                  "Tg6Rf4e2W1"
                ],
                "title": "id"
              },
              "category_id": {
                "type": "string",
                "examples": [
                  "Mn0bVc9xZ8"
                ],
                "title": "category_id"
              },
              "slug": {
                "type": "string",
                "examples": [
                  "view-invoices"
                ],
                "title": "slug"
              },
              "name": {
                "type": "string",
                "examples": [
                  "View or download invoices"
                ],
                "title": "name"
              },
              "description": {
                "type": "string",
                "examples": [
                  "Find past invoices and receipts"
                ],
                "title": "description"
              },
              "resolution_url": {
                "type": "string",
                "examples": [
                  "https://docs.rixl.com/billing/invoices"
                ],
                "title": "resolution_url"
              },
              "sort_order": {
                "type": "integer",
                "examples": [
                  "1"
                ],
                "title": "sort_order",
                "format": "int32"
              }
            },
            "title": "Topic",
            "additionalProperties": false
          }
        },
        "title": "topics"
      }
    },
    "title": "ListTopicsResponse",
    "additionalProperties": false
  }
}
curl -X GET "https://api.rixl.com/support/v1/topics"

Success

application/json

{
  "$ref": "#/components/schemas/support.v1.ListTopicsResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "topics": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/support.v1.Topic",
          "$ref-value": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "examples": [
                  "Tg6Rf4e2W1"
                ],
                "title": "id"
              },
              "category_id": {
                "type": "string",
                "examples": [
                  "Mn0bVc9xZ8"
                ],
                "title": "category_id"
              },
              "slug": {
                "type": "string",
                "examples": [
                  "view-invoices"
                ],
                "title": "slug"
              },
              "name": {
                "type": "string",
                "examples": [
                  "View or download invoices"
                ],
                "title": "name"
              },
              "description": {
                "type": "string",
                "examples": [
                  "Find past invoices and receipts"
                ],
                "title": "description"
              },
              "resolution_url": {
                "type": "string",
                "examples": [
                  "https://docs.rixl.com/billing/invoices"
                ],
                "title": "resolution_url"
              },
              "sort_order": {
                "type": "integer",
                "examples": [
                  "1"
                ],
                "title": "sort_order",
                "format": "int32"
              }
            },
            "title": "Topic",
            "additionalProperties": false
          }
        },
        "title": "topics"
      }
    },
    "title": "ListTopicsResponse",
    "additionalProperties": false
  }
}